Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.range
Class Range

    java.lang.Object
      org.apache.lucene.facet.range.Range

Direct Known Subclasses:
  DoubleRange, FloatRange, LongRange

    public abstract class Range

extends Object

Represents a single labelled range, one facet label in the facets computed by `RangeAccumulator`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`String` | `label`

Constructor Summary
`protected` | `Range(String label)`

Method Summary
`abstract boolean` | `accept(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    public final String label

Constructor Detail

### Range

    protected Range(String label)

Method Detail

### accept

    public abstract boolean accept(long value)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.